fcf.module({
  name: "fcfSimpleAuthorization:page_templates/registration-confirmation+body.wrapper.js",
  dependencies: ["fcf:NClient/Wrapper.js"],
  module: function(Wrapper){
    return class RegistrationConfirmationBodyWrapper extends Wrapper{
      
      constructor(a_initializeOptions){
        super(a_initializeOptions);
        let self = this;
        let timer = self.getArg("timer");
        function clTimer(){
          --timer;
          if (timer <= 0)
            location.href = "/";
          else
            self.select("[name=timer]")[0].innerHTML = timer;
          setTimeout(()=>{ clTimer(); }, 1000);
        }
        setTimeout(()=>{ clTimer(); }, 1000);
      }

    };
  }
});
